gstreamermm: Gst::TheoraEnc Class Reference

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions

# Gst::TheoraEnc Class Reference
[gstreamermm Plugins]

A Wrapper for the theoraenc plugin. More...

Inherits Gst::Element, and Gst::Preset.

Collaboration diagram for Gst::TheoraEnc:
[legend]

List of all members.

## Public Member Functions
virtual | ~TheoraEnc ()
GstTheoraEnc* | gobj ()
| Provides access to the underlying C GObject.
const GstTheoraEnc* | gobj () const
| Provides access to the underlying C GObject.
GstTheoraEnc* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy< bool > | property_center ()
| ignored and kept for API compat only.
Glib::PropertyProxy_ReadOnly < bool > | property_center () const
| ignored and kept for API compat only.
Glib::PropertyProxy < Gst::TheoraEncBorderMode > | property_border ()
| ignored and kept for API compat only.
Glib::PropertyProxy_ReadOnly < Gst::TheoraEncBorderMode > | property_border () const
| ignored and kept for API compat only.
Glib::PropertyProxy< int > | property_bitrate ()
| Compressed video bitrate (kbps).
Glib::PropertyProxy_ReadOnly< int > | property_bitrate () const
| Compressed video bitrate (kbps).
Glib::PropertyProxy< int > | property_quality ()
| Video quality.
Glib::PropertyProxy_ReadOnly< int > | property_quality () const
| Video quality.
Glib::PropertyProxy< bool > | property_quick ()
| ignored and kept for API compat only.
Glib::PropertyProxy_ReadOnly < bool > | property_quick () const
| ignored and kept for API compat only.
Glib::PropertyProxy< bool > | property_keyframe_auto ()
| Automatic keyframe detection.
Glib::PropertyProxy_ReadOnly < bool > | property_keyframe_auto () const
| Automatic keyframe detection.
Glib::PropertyProxy< int > | property_keyframe_freq ()
| Keyframe frequency.
Glib::PropertyProxy_ReadOnly< int > | property_keyframe_freq () const
| Keyframe frequency.
Glib::PropertyProxy< int > | property_keyframe_force ()
| Force keyframe every N frames.
Glib::PropertyProxy_ReadOnly< int > | property_keyframe_force () const
| Force keyframe every N frames.
Glib::PropertyProxy< int > | property_keyframe_threshold ()
| ignored and kept for API compat only.
Glib::PropertyProxy_ReadOnly< int > | property_keyframe_threshold () const
| ignored and kept for API compat only.
Glib::PropertyProxy< int > | property_keyframe_mindistance ()
| ignored and kept for API compat only.
Glib::PropertyProxy_ReadOnly< int > | property_keyframe_mindistance () const
| ignored and kept for API compat only.
Glib::PropertyProxy< int > | property_noise_sensitivity ()
| ignored and kept for API compat only.
Glib::PropertyProxy_ReadOnly< int > | property_noise_sensitivity () const
| ignored and kept for API compat only.
Glib::PropertyProxy< int > | property_sharpness ()
| ignored and kept for API compat only.
Glib::PropertyProxy_ReadOnly< int > | property_sharpness () const
| ignored and kept for API compat only.
Glib::PropertyProxy< int > | property_speed_level ()
| Controls the amount of motion vector searching done while encoding.
Glib::PropertyProxy_ReadOnly< int > | property_speed_level () const
| Controls the amount of motion vector searching done while encoding.
Glib::PropertyProxy< bool > | property_vp3_compatible ()
| Disables non-VP3 compatible features.
Glib::PropertyProxy_ReadOnly < bool > | property_vp3_compatible () const
| Disables non-VP3 compatible features.
Glib::PropertyProxy< bool > | property_drop_frames ()
| Allow or disallow frame dropping.
Glib::PropertyProxy_ReadOnly < bool > | property_drop_frames () const
| Allow or disallow frame dropping.
Glib::PropertyProxy< bool > | property_cap_overflow ()
| Enable capping of bit reservoir overflows.
Glib::PropertyProxy_ReadOnly < bool > | property_cap_overflow () const
| Enable capping of bit reservoir overflows.
Glib::PropertyProxy< bool > | property_cap_underflow ()
| Enable capping of bit reservoir underflows.
Glib::PropertyProxy_ReadOnly < bool > | property_cap_underflow () const
| Enable capping of bit reservoir underflows.
Glib::PropertyProxy< int > | property_rate_buffer ()
| Sets the size of the rate control buffer, in units of frames.
Glib::PropertyProxy_ReadOnly< int > | property_rate_buffer () const
| Sets the size of the rate control buffer, in units of frames.
## Static Public Member Functions
static Glib::RefPtr< TheoraEnc > | create ()
| Creates a new theoraenc plugin with a unique name.
static Glib::RefPtr< TheoraEnc > | create (const Glib::ustring& name)
| Creates a new theoraenc plugin with the given name.
## Protected Member Functions
| TheoraEnc ()
| TheoraEnc (const Glib::ustring& name)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::TheoraEnc > | wrap (GstTheoraEnc* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Wrapper for the theoraenc plugin.

Please note that, though using the underlying GObject is fine, using its C type is not guaranteed to be API stable across releases because it is not guaranteed to always remain the same. Also, not all plug-ins are available on all systems so care must be taken that they exist before they are used, otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::TheoraEnc::~TheoraEnc | ( |  | ) | `[virtual]`

Gst::TheoraEnc::TheoraEnc | ( |  | ) | `[protected]`

Gst::TheoraEnc::TheoraEnc | ( | const Glib::ustring & | name | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<TheoraEnc> Gst::TheoraEnc::create | ( |  | ) | `[static]`

Creates a new theoraenc plugin with a unique name.

static Glib::RefPtr<TheoraEnc> Gst::TheoraEnc::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new theoraenc plugin with the given name.

const GstTheoraEnc* Gst::TheoraEnc::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Preset.

GstTheoraEnc* Gst::TheoraEnc::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Preset.

GstTheoraEnc* Gst::TheoraEnc::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Glib::PropertyProxy<int> Gst::TheoraEnc::property_bitrate | ( |  | ) |

Compressed video bitrate (kbps).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gst::TheoraEnc::property_bitrate | ( |  | ) | const

Compressed video bitrate (kbps).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Gst::TheoraEncBorderMode> Gst::TheoraEnc::property_border | ( |  | ) |

ignored and kept for API compat only.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Gst::TheoraEncBorderMode> Gst::TheoraEnc::property_border | ( |  | ) | const

ignored and kept for API compat only.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gst::TheoraEnc::property_cap_overflow | ( |  | ) |

Enable capping of bit reservoir overflows.

This property requires libtheora version >= 1.1.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gst::TheoraEnc::property_cap_overflow | ( |  | ) | const

Enable capping of bit reservoir overflows.

This property requires libtheora version >= 1.1.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gst::TheoraEnc::property_cap_underflow | ( |  | ) |

Enable capping of bit reservoir underflows.

This property requires libtheora version >= 1.1.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gst::TheoraEnc::property_cap_underflow | ( |  | ) | const

Enable capping of bit reservoir underflows.

This property requires libtheora version >= 1.1.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gst::TheoraEnc::property_center | ( |  | ) |

ignored and kept for API compat only.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gst::TheoraEnc::property_center | ( |  | ) | const

ignored and kept for API compat only.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gst::TheoraEnc::property_drop_frames | ( |  | ) |

Allow or disallow frame dropping.

This property requires libtheora version >= 1.1.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gst::TheoraEnc::property_drop_frames | ( |  | ) | const

Allow or disallow frame dropping.

This property requires libtheora version >= 1.1.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gst::TheoraEnc::property_keyframe_auto | ( |  | ) |

Automatic keyframe detection.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gst::TheoraEnc::property_keyframe_auto | ( |  | ) | const

Automatic keyframe detection.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gst::TheoraEnc::property_keyframe_force | ( |  | ) |

Force keyframe every N frames.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gst::TheoraEnc::property_keyframe_force | ( |  | ) | const

Force keyframe every N frames.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gst::TheoraEnc::property_keyframe_freq | ( |  | ) |

Keyframe frequency.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gst::TheoraEnc::property_keyframe_freq | ( |  | ) | const

Keyframe frequency.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gst::TheoraEnc::property_keyframe_mindistance | ( |  | ) |

ignored and kept for API compat only.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gst::TheoraEnc::property_keyframe_mindistance | ( |  | ) | const

ignored and kept for API compat only.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gst::TheoraEnc::property_keyframe_threshold | ( |  | ) | const

ignored and kept for API compat only.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gst::TheoraEnc::property_keyframe_threshold | ( |  | ) |

ignored and kept for API compat only.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gst::TheoraEnc::property_noise_sensitivity | ( |  | ) | const

ignored and kept for API compat only.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gst::TheoraEnc::property_noise_sensitivity | ( |  | ) |

ignored and kept for API compat only.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gst::TheoraEnc::property_quality | ( |  | ) | const

Video quality.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gst::TheoraEnc::property_quality | ( |  | ) |

Video quality.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gst::TheoraEnc::property_quick | ( |  | ) | const

ignored and kept for API compat only.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gst::TheoraEnc::property_quick | ( |  | ) |

ignored and kept for API compat only.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gst::TheoraEnc::property_rate_buffer | ( |  | ) | const

Sets the size of the rate control buffer, in units of frames.

The default value of 0 instructs the encoder to automatically select an appropriate value. This property requires libtheora version >= 1.1.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gst::TheoraEnc::property_rate_buffer | ( |  | ) |

Sets the size of the rate control buffer, in units of frames.

The default value of 0 instructs the encoder to automatically select an appropriate value. This property requires libtheora version >= 1.1.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gst::TheoraEnc::property_sharpness | ( |  | ) |

ignored and kept for API compat only.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gst::TheoraEnc::property_sharpness | ( |  | ) | const

ignored and kept for API compat only.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gst::TheoraEnc::property_speed_level | ( |  | ) | const

Controls the amount of motion vector searching done while encoding.

This property requires libtheora version >= 1.0.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gst::TheoraEnc::property_speed_level | ( |  | ) |

Controls the amount of motion vector searching done while encoding.

This property requires libtheora version >= 1.0.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gst::TheoraEnc::property_vp3_compatible | ( |  | ) |

Disables non-VP3 compatible features.

This property requires libtheora version >= 1.1.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gst::TheoraEnc::property_vp3_compatible | ( |  | ) | const

Disables non-VP3 compatible features.

This property requires libtheora version >= 1.1.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::TheoraEnc > wrap | ( | GstTheoraEnc * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/theoraenc.h